Bug 440266 - rt61pci fails after suspend (rt61pci_mcu_request error)
rt61pci fails after suspend (rt61pci_mcu_request error)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 11:29 EDT by Klaas Hölscher
Modified: 2009-06-21 09:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-09 14:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Klaas Hölscher 2008-04-02 11:29:00 EDT
From Bugzilla Helper:
User-Agent: Opera/9.26 (X11; Linux i686; U; en)

Description of problem:
With 2.6.24.3-50.fc8 the rt61pci module is finally working for me, but it does 
not survive a suspend/resume-cycle. After the system woke up, the Network-
Manager Icon just stays with the "no connection"-icon, enabling/disabling 
wireless has no effect, a reboot is required.
The only message appearing via dmesg is 2 lines of "phy0 -> 
rt61pci_mcu_request: Error - mcu request error. Request 0x50 failed for token 
0xff."

lspci: 04:01.0 Network controller: RaLink RT2561/RT61 802.11g PCI
        Subsystem: RaLink EW-7108PCg
        Flags: bus master, slow devsel, latency 32, IRQ 21
        Memory at febf8000 (32-bit, non-prefetchable) [size=32K]
        Capabilities: [40] Power Management version 2
        Kernel driver in use: rt61pci
        Kernel modules: rt61pci


Version-Release number of selected component (if applicable):
2.6.24.3-50.fc8

How reproducible:
Always


Steps to Reproduce:
1. Select System -> Shutdown -> Suspend
2. System goes offline...
3. and comes up after pressing the power button, except the network

Actual Results:
wireless network was dead

Expected Results:
rt61pci should have come up again

Additional info:
Comment 1 John W. Linville 2008-04-02 11:51:18 EDT
These kernels have a fix that I think relates to this issue:

   http://koji.fedoraproject.org/koji/buildinfo?buildID=44217

Could you give that a try?
Comment 2 Klaas Hölscher 2008-04-02 15:26:43 EDT
Installed it, but it freezes at random stages while booting, not even the shift 
blinkenlight works


(In reply to comment #1)
> These kernels have a fix that I think relates to this issue:
> 
>    http://koji.fedoraproject.org/koji/buildinfo?buildID=44217
> 
> Could you give that a try?

Comment 3 Klaas Hölscher 2008-04-02 15:46:00 EDT
Installed 2.6.24.4-69.fc8, but this only offers "hibernate" in the shutdown 
Menu, not "suspend"
(and hibernating does not work, wake up ends in a black screen)

(In reply to comment #2)
> Installed it, but it freezes at random stages while booting, not even the 
shift 
> blinkenlight works
> 
> 
> (In reply to comment #1)
> > These kernels have a fix that I think relates to this issue:
> > 
> >    http://koji.fedoraproject.org/koji/buildinfo?buildID=44217
> > 
> > Could you give that a try?
> 
> 

Comment 4 John W. Linville 2008-04-29 16:31:26 EDT
It has been a while, and there were some key rt2x00 fixes in between.  Can you 
try something more recent?

   http://koji.fedoraproject.org/koji/buildinfo?buildID=47227
Comment 5 Klaas Hölscher 2008-05-15 14:47:53 EDT
Still there as of 2.6.24.7-92.fc8
Comment 6 D Haley 2008-05-16 19:30:12 EDT
I have the same problem in fedora 9 (2.6.25-14.fc9.i686) (suspend works,
wireless doesnt)

# rmmod rt61
# modprobe rt61

immediately gets the system wireless working again.

01:09.0 Network controller: RaLink RT2561/RT61 rev B 802.11g
	Subsystem: D-Link System Inc DWL-G510 Rev C
	Flags: bus master, slow devsel, latency 32, IRQ 17
	Memory at ea000000 (32-bit, non-prefetchable) [size=32K]
	Capabilities: <access denied>
	Kernel driver in use: rt61pci
	Kernel modules: rt61pci
Comment 7 Jonathan Dawson 2008-05-18 06:59:01 EDT
I get a kernel panic on suspend to ram with rt61pci using fedora 9 kernel
mentioned above and 2.6.25.4-23.fc9.i686. Adding module to unload modules file
works, though, i.e. the module has a problem. I still can't get video to resume,
though, but that's another bug!
Comment 8 D Haley 2008-05-22 10:23:26 EDT
Jonathan, can you tell me what file you modified? I tried creating
/etc/pm/config.d/unload_modules and placing the line rt61pci, but it doesn't
appear to have an effect. 
Comment 9 Jonathan Dawson 2008-05-22 18:21:05 EDT
This is the correct file but the syntax is:
SUSPEND_MODULES="rt61pci"
The file also needs to be made executable using chmod +x or from within your
file manager.
Comment 10 John W. Linville 2008-07-08 16:04:15 EDT
Do you continue to experience this problem with current kernels?
Comment 11 Jonathan Dawson 2008-07-12 19:15:18 EDT
I still get a kernel panic on suspend to ram (i.e. pm-suspend) with kernels
2.6.25.9-76.fc9.i686 (current f9 release kernel) and 2.6.25.10-91.fc9.i686 (from
koji).
Comment 12 Klaas Hölscher 2008-07-16 13:17:01 EDT
Suspend to Disk/Resume works with 2.6.25.10-86.fc9.i686 :)

Suspend to Ram does not work with this version, but as i am using the 'nvidia'-
driver, that does not belong here ;)
Comment 13 John W. Linville 2008-09-09 14:58:16 EDT
Closing on the basis of comment 12...
Comment 14 Csongor Fagyal 2009-06-21 09:42:55 EDT
Can we reopen this? I still have this issue on F10, with kernel 2.6.27.24-170.2.68.fc10.x86_64

The log says:
Jun 21 14:56:12 localhost kernel: rt61pci 0000:04:00.0: enabling device (0000 -> 0002)
Jun 21 14:56:12 localhost kernel: rt61pci 0000:04:00.0: PCI INT A -> GSI 20 (level, low) -> IRQ 20
Jun 21 14:56:12 localhost kernel: phy0 -> rt61pci_mcu_request: Error - mcu request error. Request 0x50 failed for token 0xff.
Jun 21 14:56:12 localhost kernel: phy0 -> rt61pci_mcu_request: Error - mcu request error. Request 0x50 failed for token 0xff.


Works if I use workaround #9 above.

Note You need to log in before you can comment on or make changes to this bug.